package com.ainirobot.testsdk

import android.view.View
import com.facebook.react.ReactPackage
import com.facebook.react.bridge.NativeModule
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.uimanager.ReactShadowNode
import com.facebook.react.uimanager.ViewManager
import java.util.*
import kotlin.collections.ArrayList

/**
 * @date: 2019-01-04
 * @author: lumeng
 * @desc: 管理各个BridgeModule注册
 *
 * Java 类型      -> JS 类型
 * Boolean       -> Bool
 * Integer       -> Number
 * Double        -> Number
 * Float         -> Number
 * String        -> String
 * Callback      -> function
 * ReadableMap   -> Object
 * ReadableArray -> Array
 */

class HelloModuleReactPackage : ReactPackage {

    override fun createNativeModules(reactContext: ReactApplicationContext): ArrayList<NativeModule> {
        val modules = ArrayList<NativeModule>()
        modules.add(HelloModule(reactContext))
        return modules
    }

    override fun createViewManagers(reactContext: ReactApplicationContext): MutableList<ViewManager<View, ReactShadowNode<*>>> {
        return Collections.emptyList()
    }

}
