/**
 Copyright (C) 2020 Beijing Kingsoft Internet Security Software Co., Ltd. and Beijing Orion Star Technology Co., Ltd
 Licensed under the Robot OS License Agreement (the "License").
 You may not use this file except in compliance with the License.
 You may obtain a copy of the License at  https://wiki.orionbase.cn/devguide/robot-osxu-ke-xie-yi.html
 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and limitations under the License.
 */

import React from 'react';
import {Text, View} from 'react-native';
import {HelloUtil} from "./HelloUtil";

const TAG = 'HomeScreen';

export class HomeScreen extends React.Component {
    public constructor(props: any) {
        super(props);
    }

    public componentDidMount(): void {
        HelloUtil.getStringFromKT()
            .then((s: any) => {
                console.log(TAG, 'load From kotlin', s);
            })
            .catch((e: any) => {
            });
        HelloUtil.getStringFromJNI()
            .then((s: any) => {
                console.log(TAG, 'load From jni', s);
            })
            .catch((e: any) => {
                console.log(TAG, 'load From jni error', e);
            });
        HelloUtil.far()
            .then((s: any) => {
                console.log(TAG, 'load From far', s);
            })
            .catch((e: any) => {
                console.log(TAG, 'load From far error', e);
            });
        HelloUtil.jianjian(2000)
            .then((s: any) => {
                console.log(TAG, 'load From jianjian', s);
            })
            .catch((e: any) => {
                console.log(TAG, 'load From jianjian error', e);
            });
    }

    public render() {
        return (
            <View style={{flex: 1, alignItems: 'center', justifyContent: 'center'}}>
                <Text>Home Screen</Text>
            </View>
        );
    }
}
